#!/bin/bash

export LC_NUMERIC="en_US.UTF-8"

for i in *_REGULAR; do

name=$(echo $i | cut -d "_" -f 1-2 | sed "s/_/-/g")

e2du=$(grep "E2disp(unc)" $i | cut -d "=" -f 2)
e2exdu=$(grep "E2exch-disp(" $i | cut -d "=" -f 2)
e2d=$(grep "E2disp " $i | tail -1 | cut -d "=" -f 2)
e2exd=$(grep "E2exch-disp " $i | tail -1 | cut -d "=" -f 2)
fac=$(echo "$e2d / $e2du" | bc -l )
e2exds=$(echo "$e2exdu * $fac" | bc -l)

fac=$(printf "%8.6f\n" "$fac")
e2exds=$(printf "%8.6f\n" "$e2exds")

echo $name,$e2du,$e2d,$e2exdu,$e2exd,$fac,$e2exds

done

